# Interface LayerPresetSettingProperties

Properties that can be passed into the constructor for layer-preset/LayerPresetSettings!LayerPresetSetting.

interface LayerPresetSettingProperties {
childrenIncludedInLayerList?: boolean;
definitionExpression?: string;
expanded?: boolean;
includedInLayerList?: boolean;
maxScale?: number;
minScale?: number;
opacity?: number;
sublayers?: SublayerPresetJson[];
visible?: boolean;
}

#####
Index

### Properties

childrenIncludedInLayerList?
definitionExpression?
expanded?
includedInLayerList?
maxScale?
minScale?
opacity?
sublayers?
visible?

##
Properties

### `Optional` childrenIncludedInLayerList

childrenIncludedInLayerList?: boolean

See layer-preset/LayerPresetSettings!LayerPresetSetting.childrenIncludedInLayerList.

### `Optional` definitionExpression

definitionExpression?: string

See layer-preset/LayerPresetSettings!LayerPresetSetting.definitionExpression.

### `Optional` expanded

expanded?: boolean

See layer-preset/LayerPresetSettings!LayerPresetSetting.expanded.

### `Optional` includedInLayerList

includedInLayerList?: boolean

See layer-preset/LayerPresetSettings!LayerPresetSetting.includedInLayerList.

### `Optional` maxScale

maxScale?: number

See layer-preset/LayerPresetSettings!LayerPresetSetting.maxScale.

### `Optional` minScale

minScale?: number

See layer-preset/LayerPresetSettings!LayerPresetSetting.minScale.

### `Optional` opacity

opacity?: number

See layer-preset/LayerPresetSettings!LayerPresetSetting.opacity.

### `Optional` `Readonly` sublayers

sublayers?: SublayerPresetJson[]

See layer-preset/LayerPresetSettings!LayerPresetSetting.sublayers.

### `Optional` visible

visible?: boolean

See layer-preset/LayerPresetSettings!LayerPresetSetting.visible.